glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< Glib::RefPtr< T > > Class Template Reference
Generic Values

Partial specialization for RefPtr<> to Glib::Object. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< Glib::RefPtr< T > >:
[legend]

## Public Types
using | CppType = Glib::RefPtr< T >
using | CType = typename T::BaseObjectType*

## Public Member Functions
void | set (const CppType& data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Object
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Object
void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<class T>
class Glib::Value< Glib::RefPtr< T > >

Partial specialization for RefPtr<> to Glib::Object.

## Member Typedef Documentation

template <class T >

using Glib::Value< Glib::RefPtr< T > >::CppType = Glib::RefPtr<T>

template <class T >

using Glib::Value< Glib::RefPtr< T > >::CType = typename T::BaseObjectType*

## Member Function Documentation

template <class T >

CppType Glib::Value< Glib::RefPtr< T > >::get | ( |  | ) | const
| inline

template <class T >

void Glib::Value< Glib::RefPtr< T > >::set | ( | const CppType& | data | ) |
| inline

template <class T >

static GType Glib::Value< Glib::RefPtr< T > >::value_type | ( |  | ) |
| inline static